Package lxml :: Package html :: Module ElementSoup

[hide private]
[frames] | no frames]

# Module ElementSoup

source code
External interface to the BeautifulSoup HTML parser.

Functions | [hide private]

parse(file, beautifulsoup=None, makeelement=None) | source code

convert_tree(beautiful_soup_tree, makeelement=None) | source code

_convert_tree(beautiful_soup_tree, makeelement) | source code

_convert_children(parent, beautiful_soup_tree, makeelement) | source code

_append_text(parent, element, text) | source code

handle_entities(...) sub(repl, string[, count = 0]) --> newstring Return the string obtained by replacing the leftmost non-overlapping occurrences of pattern in string by the replacement repl. | source code

unescape(string) | source code

Variables | [hide private]

| __doc__ = `"""External interface to the BeautifulSoup HTML pars`...``
| name2codepoint = ``{``'``AElig``'``:` 198`,` `'``Aacute``'``:` 193`,` `'``Acirc``'``:` 194`,` `'``...``

Variables Details | [hide private]

### __doc__

Value:

      """External interface to the BeautifulSoup HTML parser.
      """

### name2codepoint

Value:

      {'AElig': 198,
       'Aacute': 193,
       'Acirc': 194,
       'Agrave': 192,
       'Alpha': 913,
       'Aring': 197,
       'Atilde': 195,
       'Auml': 196,
      ...